# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgRevisionsSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgRevisionsSelectionDialog(object):
    def setupUi(self, HgRevisionsSelectionDialog):
        HgRevisionsSelectionDialog.setObjectName("HgRevisionsSelectionDialog")
        HgRevisionsSelectionDialog.resize(400, 700)
        HgRevisionsSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgRevisionsSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.rev1GroupBox = QtWidgets.QGroupBox(parent=HgRevisionsSelectionDialog)
        self.rev1GroupBox.setObjectName("rev1GroupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.rev1GroupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.number1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.number1Button.setChecked(False)
        self.number1Button.setObjectName("number1Button")
        self.gridLayout.addWidget(self.number1Button, 0, 0, 1, 1)
        self.number1SpinBox = QtWidgets.QSpinBox(parent=self.rev1GroupBox)
        self.number1SpinBox.setEnabled(False)
        self.number1SpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.number1SpinBox.setMaximum(999999999)
        self.number1SpinBox.setObjectName("number1SpinBox")
        self.gridLayout.addWidget(self.number1SpinBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 2, 1, 1)
        self.id1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.id1Button.setObjectName("id1Button")
        self.gridLayout.addWidget(self.id1Button, 1, 0, 1, 1)
        self.id1Edit = QtWidgets.QLineEdit(parent=self.rev1GroupBox)
        self.id1Edit.setEnabled(False)
        self.id1Edit.setObjectName("id1Edit")
        self.gridLayout.addWidget(self.id1Edit, 1, 1, 1, 2)
        self.tag1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.tag1Button.setObjectName("tag1Button")
        self.gridLayout.addWidget(self.tag1Button, 2, 0, 1, 1)
        self.tag1Combo = QtWidgets.QComboBox(parent=self.rev1GroupBox)
        self.tag1Combo.setEnabled(False)
        self.tag1Combo.setEditable(True)
        self.tag1Combo.setObjectName("tag1Combo")
        self.gridLayout.addWidget(self.tag1Combo, 2, 1, 1, 2)
        self.branch1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.branch1Button.setObjectName("branch1Button")
        self.gridLayout.addWidget(self.branch1Button, 3, 0, 1, 1)
        self.branch1Combo = QtWidgets.QComboBox(parent=self.rev1GroupBox)
        self.branch1Combo.setEnabled(False)
        self.branch1Combo.setEditable(True)
        self.branch1Combo.setObjectName("branch1Combo")
        self.gridLayout.addWidget(self.branch1Combo, 3, 1, 1, 2)
        self.bookmark1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.bookmark1Button.setObjectName("bookmark1Button")
        self.gridLayout.addWidget(self.bookmark1Button, 4, 0, 1, 1)
        self.bookmark1Combo = QtWidgets.QComboBox(parent=self.rev1GroupBox)
        self.bookmark1Combo.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.bookmark1Combo.sizePolicy().hasHeightForWidth())
        self.bookmark1Combo.setSizePolicy(sizePolicy)
        self.bookmark1Combo.setEditable(True)
        self.bookmark1Combo.setObjectName("bookmark1Combo")
        self.gridLayout.addWidget(self.bookmark1Combo, 4, 1, 1, 2)
        self.expression1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.expression1Button.setObjectName("expression1Button")
        self.gridLayout.addWidget(self.expression1Button, 5, 0, 1, 1)
        self.expression1Edit = QtWidgets.QLineEdit(parent=self.rev1GroupBox)
        self.expression1Edit.setEnabled(False)
        self.expression1Edit.setClearButtonEnabled(True)
        self.expression1Edit.setObjectName("expression1Edit")
        self.gridLayout.addWidget(self.expression1Edit, 5, 1, 1, 2)
        self.tip1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.tip1Button.setChecked(False)
        self.tip1Button.setObjectName("tip1Button")
        self.gridLayout.addWidget(self.tip1Button, 6, 0, 1, 3)
        self.prev1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.prev1Button.setChecked(True)
        self.prev1Button.setObjectName("prev1Button")
        self.gridLayout.addWidget(self.prev1Button, 7, 0, 1, 3)
        self.none1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.none1Button.setObjectName("none1Button")
        self.gridLayout.addWidget(self.none1Button, 8, 0, 1, 3)
        self.verticalLayout.addWidget(self.rev1GroupBox)
        self.rev2GroupBox = QtWidgets.QGroupBox(parent=HgRevisionsSelectionDialog)
        self.rev2GroupBox.setObjectName("rev2GroupBox")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.rev2GroupBox)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.number2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.number2Button.setObjectName("number2Button")
        self.gridLayout_2.addWidget(self.number2Button, 0, 0, 1, 1)
        self.number2SpinBox = QtWidgets.QSpinBox(parent=self.rev2GroupBox)
        self.number2SpinBox.setEnabled(False)
        self.number2SpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.number2SpinBox.setMaximum(999999999)
        self.number2SpinBox.setObjectName("number2SpinBox")
        self.gridLayout_2.addWidget(self.number2SpinBox, 0, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem1, 0, 2, 1, 1)
        self.id2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.id2Button.setObjectName("id2Button")
        self.gridLayout_2.addWidget(self.id2Button, 1, 0, 1, 1)
        self.id2Edit = QtWidgets.QLineEdit(parent=self.rev2GroupBox)
        self.id2Edit.setEnabled(False)
        self.id2Edit.setObjectName("id2Edit")
        self.gridLayout_2.addWidget(self.id2Edit, 1, 1, 1, 2)
        self.tag2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.tag2Button.setObjectName("tag2Button")
        self.gridLayout_2.addWidget(self.tag2Button, 2, 0, 1, 1)
        self.tag2Combo = QtWidgets.QComboBox(parent=self.rev2GroupBox)
        self.tag2Combo.setEnabled(False)
        self.tag2Combo.setEditable(True)
        self.tag2Combo.setObjectName("tag2Combo")
        self.gridLayout_2.addWidget(self.tag2Combo, 2, 1, 1, 2)
        self.branch2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.branch2Button.setObjectName("branch2Button")
        self.gridLayout_2.addWidget(self.branch2Button, 3, 0, 1, 1)
        self.branch2Combo = QtWidgets.QComboBox(parent=self.rev2GroupBox)
        self.branch2Combo.setEnabled(False)
        self.branch2Combo.setEditable(True)
        self.branch2Combo.setObjectName("branch2Combo")
        self.gridLayout_2.addWidget(self.branch2Combo, 3, 1, 1, 2)
        self.bookmark2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.bookmark2Button.setObjectName("bookmark2Button")
        self.gridLayout_2.addWidget(self.bookmark2Button, 4, 0, 1, 1)
        self.bookmark2Combo = QtWidgets.QComboBox(parent=self.rev2GroupBox)
        self.bookmark2Combo.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.bookmark2Combo.sizePolicy().hasHeightForWidth())
        self.bookmark2Combo.setSizePolicy(sizePolicy)
        self.bookmark2Combo.setEditable(True)
        self.bookmark2Combo.setObjectName("bookmark2Combo")
        self.gridLayout_2.addWidget(self.bookmark2Combo, 4, 1, 1, 2)
        self.expression2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.expression2Button.setObjectName("expression2Button")
        self.gridLayout_2.addWidget(self.expression2Button, 5, 0, 1, 1)
        self.expression2Edit = QtWidgets.QLineEdit(parent=self.rev2GroupBox)
        self.expression2Edit.setEnabled(False)
        self.expression2Edit.setClearButtonEnabled(True)
        self.expression2Edit.setObjectName("expression2Edit")
        self.gridLayout_2.addWidget(self.expression2Edit, 5, 1, 1, 2)
        self.tip2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.tip2Button.setChecked(True)
        self.tip2Button.setObjectName("tip2Button")
        self.gridLayout_2.addWidget(self.tip2Button, 6, 0, 1, 3)
        self.prev2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.prev2Button.setObjectName("prev2Button")
        self.gridLayout_2.addWidget(self.prev2Button, 7, 0, 1, 3)
        self.none2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.none2Button.setObjectName("none2Button")
        self.gridLayout_2.addWidget(self.none2Button, 8, 0, 1, 3)
        self.verticalLayout.addWidget(self.rev2GroupBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgRevisionsSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgRevisionsSelectionDialog)
        self.buttonBox.accepted.connect(HgRevisionsSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgRevisionsSelectionDialog.reject) # type: ignore
        self.number1Button.toggled['bool'].connect(self.number1SpinBox.setEnabled) # type: ignore
        self.number2Button.toggled['bool'].connect(self.number2SpinBox.setEnabled) # type: ignore
        self.id1Button.toggled['bool'].connect(self.id1Edit.setEnabled) # type: ignore
        self.id2Button.toggled['bool'].connect(self.id2Edit.setEnabled) # type: ignore
        self.tag1Button.toggled['bool'].connect(self.tag1Combo.setEnabled) # type: ignore
        self.branch1Button.toggled['bool'].connect(self.branch1Combo.setEnabled) # type: ignore
        self.tag2Button.toggled['bool'].connect(self.tag2Combo.setEnabled) # type: ignore
        self.branch2Button.toggled['bool'].connect(self.branch2Combo.setEnabled) # type: ignore
        self.bookmark1Button.toggled['bool'].connect(self.bookmark1Combo.setEnabled) # type: ignore
        self.bookmark2Button.toggled['bool'].connect(self.bookmark2Combo.setEnabled) # type: ignore
        self.expression1Button.toggled['bool'].connect(self.expression1Edit.setEnabled) # type: ignore
        self.expression2Button.toggled['bool'].connect(self.expression2Edit.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgRevisionsSelectionDialog)
        HgRevisionsSelectionDialog.setTabOrder(self.number1Button, self.number1SpinBox)
        HgRevisionsSelectionDialog.setTabOrder(self.number1SpinBox, self.id1Button)
        HgRevisionsSelectionDialog.setTabOrder(self.id1Button, self.id1Edit)
        HgRevisionsSelectionDialog.setTabOrder(self.id1Edit, self.tag1Button)
        HgRevisionsSelectionDialog.setTabOrder(self.tag1Button, self.tag1Combo)
        HgRevisionsSelectionDialog.setTabOrder(self.tag1Combo, self.branch1Button)
        HgRevisionsSelectionDialog.setTabOrder(self.branch1Button, self.branch1Combo)
        HgRevisionsSelectionDialog.setTabOrder(self.branch1Combo, self.bookmark1Button)
        HgRevisionsSelectionDialog.setTabOrder(self.bookmark1Button, self.bookmark1Combo)
        HgRevisionsSelectionDialog.setTabOrder(self.bookmark1Combo, self.expression1Button)
        HgRevisionsSelectionDialog.setTabOrder(self.expression1Button, self.expression1Edit)
        HgRevisionsSelectionDialog.setTabOrder(self.expression1Edit, self.tip1Button)
        HgRevisionsSelectionDialog.setTabOrder(self.tip1Button, self.prev1Button)
        HgRevisionsSelectionDialog.setTabOrder(self.prev1Button, self.none1Button)
        HgRevisionsSelectionDialog.setTabOrder(self.none1Button, self.number2Button)
        HgRevisionsSelectionDialog.setTabOrder(self.number2Button, self.number2SpinBox)
        HgRevisionsSelectionDialog.setTabOrder(self.number2SpinBox, self.id2Button)
        HgRevisionsSelectionDialog.setTabOrder(self.id2Button, self.id2Edit)
        HgRevisionsSelectionDialog.setTabOrder(self.id2Edit, self.tag2Button)
        HgRevisionsSelectionDialog.setTabOrder(self.tag2Button, self.tag2Combo)
        HgRevisionsSelectionDialog.setTabOrder(self.tag2Combo, self.branch2Button)
        HgRevisionsSelectionDialog.setTabOrder(self.branch2Button, self.branch2Combo)
        HgRevisionsSelectionDialog.setTabOrder(self.branch2Combo, self.bookmark2Button)
        HgRevisionsSelectionDialog.setTabOrder(self.bookmark2Button, self.bookmark2Combo)
        HgRevisionsSelectionDialog.setTabOrder(self.bookmark2Combo, self.expression2Button)
        HgRevisionsSelectionDialog.setTabOrder(self.expression2Button, self.expression2Edit)
        HgRevisionsSelectionDialog.setTabOrder(self.expression2Edit, self.tip2Button)
        HgRevisionsSelectionDialog.setTabOrder(self.tip2Button, self.prev2Button)
        HgRevisionsSelectionDialog.setTabOrder(self.prev2Button, self.none2Button)

    def retranslateUi(self, HgRevisionsSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        HgRevisionsSelectionDialog.setWindowTitle(_translate("HgRevisionsSelectionDialog", "Mercurial Diff"))
        self.rev1GroupBox.setTitle(_translate("HgRevisionsSelectionDialog", "Revision &1"))
        self.number1Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by number"))
        self.number1Button.setText(_translate("HgRevisionsSelectionDialog", "Number"))
        self.number1SpinBox.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a revision number"))
        self.id1Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by changeset id"))
        self.id1Button.setText(_translate("HgRevisionsSelectionDialog", "Id:"))
        self.id1Edit.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a changeset id"))
        self.tag1Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by a tag"))
        self.tag1Button.setText(_translate("HgRevisionsSelectionDialog", "Tag:"))
        self.tag1Combo.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a tag name"))
        self.branch1Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by a branch"))
        self.branch1Button.setText(_translate("HgRevisionsSelectionDialog", "Branch:"))
        self.branch1Combo.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a branch name"))
        self.bookmark1Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by a bookmark"))
        self.bookmark1Button.setText(_translate("HgRevisionsSelectionDialog", "Bookmark:"))
        self.bookmark1Combo.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a bookmark name"))
        self.expression1Button.setText(_translate("HgRevisionsSelectionDialog", "Expression:"))
        self.expression1Edit.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a revision set expression"))
        self.tip1Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select tip revision of repository"))
        self.tip1Button.setText(_translate("HgRevisionsSelectionDialog", "TIP"))
        self.prev1Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select revision before last commit"))
        self.prev1Button.setText(_translate("HgRevisionsSelectionDialog", "PREV"))
        self.none1Button.setText(_translate("HgRevisionsSelectionDialog", "No revision selected"))
        self.rev2GroupBox.setTitle(_translate("HgRevisionsSelectionDialog", "Revision &2"))
        self.number2Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by number"))
        self.number2Button.setText(_translate("HgRevisionsSelectionDialog", "Number"))
        self.number2SpinBox.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a revision number"))
        self.id2Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by changeset id"))
        self.id2Button.setText(_translate("HgRevisionsSelectionDialog", "Id:"))
        self.id2Edit.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a changeset id"))
        self.tag2Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by a tag"))
        self.tag2Button.setText(_translate("HgRevisionsSelectionDialog", "Tag:"))
        self.tag2Combo.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a tag name"))
        self.branch2Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by a branch"))
        self.branch2Button.setText(_translate("HgRevisionsSelectionDialog", "Branch:"))
        self.branch2Combo.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a branch name"))
        self.bookmark2Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select to specify a revision by a bookmark"))
        self.bookmark2Button.setText(_translate("HgRevisionsSelectionDialog", "Bookmark:"))
        self.bookmark2Combo.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a bookmark name"))
        self.expression2Button.setText(_translate("HgRevisionsSelectionDialog", "Expression:"))
        self.expression2Edit.setToolTip(_translate("HgRevisionsSelectionDialog", "Enter a revision set expression"))
        self.tip2Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select tip revision of repository"))
        self.tip2Button.setText(_translate("HgRevisionsSelectionDialog", "TIP"))
        self.prev2Button.setToolTip(_translate("HgRevisionsSelectionDialog", "Select revision before last commit"))
        self.prev2Button.setText(_translate("HgRevisionsSelectionDialog", "PREV"))
        self.none2Button.setText(_translate("HgRevisionsSelectionDialog", "No revision selected"))
